Subject: Re: Bug report: `> filename` doesn't exit
From: "Nikolay Aleksandrovich Pavlov (ZyX)" <[email-masked]>
To: "Moore, Brandon A." <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Sat, 30 Apr 2016 23:53:09 +0300
List-Id: Zsh Workers List <zsh-workers.zsh.org>

30.04.2016, 23:50, "Moore, Brandon A." <[email-masked]>:
> I am uncertain if the mailling list is the correct spot for a bug report. Feel free to notify me if it is not, but note that I am not on the mailing list.
>
> Bug description:
>
> A user noted on 'oh-my-zsh's Github that the shorthand `> filename` will create a file by the given filename (or empty said file if it already exists) as it does in most shells, but it does not exit. This leads to the user needing to terminate said command with c-C or c-D. This is atypical compared to other shells that will execute this command and go to the next line.
>
> Reproducing the bug:
>
> run `$ > file`
>
> p.s. please note that I personally do not use or suggest using this as a shortcut for the touch command, and am simply passing on this bug on behalf of the user who reported it.
>
> Sincerely,
>
> Brandon Moore
>
> President
>
> OpenSource Club
>
> 2016-2017

Unable to reproduce. Running `$ > file` creates `file` and fails with “zsh: command not found: $”. Zsh version 5.2.